<?php

namespace App\Traits\Datatable;

use Rappasoft\LaravelLivewireTables\Views\Column;

trait WithAppendColumn
{
    public function appendColumns(): array
    {
        return [
            Column::make('Dibuat', 'created_at')
                ->sortable()
                ->hideIf($this->hideCreatedAt ?? true),
        ];
    }
}
